aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/jenkins_bts_trx.sh
diff options
context:
space:
mode:
authorNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-11-30 02:30:50 +0100
committerNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-11-30 02:46:43 +0100
commitdd8a4a85e496f65e4e31d9276d069fa298d7e747 (patch)
tree4f449cff7f3269f3b72451dfe33ad63eee006114 /contrib/jenkins_bts_trx.sh
parent6f4ce14ed763f100c9c7518bfd3489f6ff4f6e85 (diff)
add jenkins_bts_trx.sh
Diffstat (limited to 'contrib/jenkins_bts_trx.sh')
-rwxr-xr-xcontrib/jenkins_bts_trx.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/contrib/jenkins_bts_trx.sh b/contrib/jenkins_bts_trx.sh
new file mode 100755
index 00000000..c4f05a93
--- /dev/null
+++ b/contrib/jenkins_bts_trx.sh
@@ -0,0 +1,49 @@
+#!/usr/bin/env bash
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+mkdir "$deps" || true
+rm -rf "$inst"
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+osmo-build-dep.sh libosmocore
+osmo-build-dep.sh libosmo-abis
+
+cd "$deps"
+
+# Get osmo-pcu for pcuif_proto.h
+osmo-deps.sh osmo-pcu
+
+# Get openbsc for gsm_data_shared.*
+osmo-deps.sh openbsc
+
+cd "$base"
+
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-bts-trx ==============================="
+echo
+set -x
+
+autoreconf --install --force
+configure_flags="\
+ --with-openbsc=$deps/openbsc/openbsc/include \
+ --with-osmo-pcu=$deps/osmo-pcu/include \
+ --enable-trx \
+ "
+./configure $configure_flags
+$MAKE $PARALLEL_MAKE
+$MAKE check \
+ || cat-testlogs.sh
+DISTCHECK_CONFIGURE_FLAGS="$configure_flags" \
+ $MAKE distcheck \
+ || cat-testlogs.sh